Subject: bug#57764: Corrupted store on top on Debian, you want the output

From: [email-masked]
Date: Fri, 14 Oct 2022 19:25:28 +0000

October 14, 2022 7:48 AM, "Maze" <[email-masked]> wrote:

> [email-masked] writes:
> 
>> September 15, 2022 2:59 AM, "Maze" <[email-masked]> wrote:
>> 
>>> I corrupted my store and it says you want the guix pull output, so
>>> please find it at the end of this message. Mostly I send it because guix
>>> asks, but (see below) at least 2 things broke on that machine, not sure
>>> it's related. I have to explain a little but I don't actually require or
>>> expect that a lot of indivudually-tailored help can be given by GNU in
>>> this case... It's a non-standard use case on more than one account.
>>> 
>>> I have been doing more than a few unsupported things with this installation.
>>> Over the week-end and Monday, 3 things stand out:
>>> 
>>> * I have been starting to use guix home on this guix which is not a guix
>>> system but which is on top of Debian. I have some user shepherd
>>> services. They still work as I'm writing this. I think this is
>>> unsupported though.
>>> 
>>> * I tried to install a guix system to a thumb drive. It is inconvenient
>>> to use the ISO so I decided to do it from Guix on top of Debian. When I
>> 
>> I personally do not understand your usecase. For me, installing the
>> guix system installer on a usb is as simple as:
>> 
>> wget https://path/to/guix/installer.iso
>> sudo dd if=installer.iso of=/dev/sdb status=progress && sync
>> 
>> I would rather do than than to try to build a custom iso image. :)
> 
> I'd rather have a bootable and rw system on a thumbdrive than an ISO
> image which is a ro system which loads itself in RAM. Changes don't
> survive reboots, that's what I find inconvenient with an ISO image.

That is kind of cool to have a bootable rw iso that you can update!

> 
> But anyway now I think I understand that I don't need to mount the store
> copy-on-write when the installing (and booted) sytem has a rw store. At
> least I think so, I'll try next time. It means what I did last time was
> probably unnecessary to begin with.
> 
>> Also do you wanna just take the plunge and install guix system?
>> 
>> It's super worth it!
>> 
>> It has been the most stable distro that I have ever used.
> 
> I know it's much better with Guix system. But I'll need some time.
> Because I live in a country where VPNs are a necessity but are supposed
> to be licensed, I have my own homebrew VPN on Debian using ssh, sysvinit
> and a bunch of horribly dirty shell scripts and cron tasks. It is
> probably possible to achieve a much better VPN system with shepherd, but
> it's a programming task, I'm trying to do it. It's actually both
> a motivation to migrate my main computer to Guix... and the reason why I
> can't do it right now.

I personally use sway.  Everytime that I install guix system now,
I install bare-bones.scm first.  Then after it is installed, I set up
sway.  I have tried to install gnome.scm before, and network issues 
caused it to fail half way through like 3+ times.

>> Thanks,
>> Joshua